# Interface FormRelationshipElementJson

Defines how a relationship between feature layers and tables can participate in the form. When present in the form, the user may have the option to add or edit related records. See https://developers.arcgis.com/web-map-specification/objects/formRelationshipElement/.

interface FormRelationshipElementJson {
description?: string;
displayCount?: number;
displayType?: "list";
editable?: boolean;
label?: string;
type: "relationship";
visibilityExpression?: string;
}

#####
Index

### Properties

description?
displayCount?
displayType?
editable?
label?
type
visibilityExpression?

##
Properties

### `Optional` description

description?: string

A string that describes the element in detail.

### `Optional` displayCount

displayCount?: number

An integer that indicates the maximum number of records to display.

### `Optional` displayType

displayType

A string that defines how the related records should be displayed.

### `Optional` editable

editable?: boolean

A Boolean determining whether users can edit this form element. If not supplied the default value is true.

### `Optional` label

label?: string

A string value indicating what the element represents.

### type

type

String value indicating which type of element to use.

### `Optional` visibilityExpression

visibilityExpression?: string

A reference to an Arcade expression that returns a boolean value. When this expression evaluates to true, the element is displayed. When the expression evaluates to false the element is not displayed. If no expression is provided, the default behavior is that the element is displayed.